package com.zcloud.personnel.positioning.command;

import com.zcloud.personnel.positioning.domain.gateway.AlarmRuleFenceRelGateway;
import com.zcloud.personnel.positioning.domain.model.AlarmRuleFenceRelE;
import com.zcloud.personnel.positioning.dto.AlarmRuleFenceRelUpdateCmd;
import com.alibaba.cola.exception.BizException;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * web-app
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
@Component
@AllArgsConstructor
public class AlarmRuleFenceRelUpdateExe {
    private final AlarmRuleFenceRelGateway alarmRuleFenceRelGateway;

    @Transactional(rollbackFor = Exception.class)
    public void execute(AlarmRuleFenceRelUpdateCmd cmd) {
        AlarmRuleFenceRelE alarmRuleFenceRelE = new AlarmRuleFenceRelE();
        BeanUtils.copyProperties(cmd, alarmRuleFenceRelE);
        boolean res = alarmRuleFenceRelGateway.update(alarmRuleFenceRelE);
        if (!res) {
            throw new BizException("修改失败");
        }
    }
}
